<template>
	<div id="sidebar">
		<ul id="metismenu">
			<li class="">
				<a aria-expanded="false" class="has-arrow" href="#">
					<div class="mark-active">&nbsp;</div>
					<font-awesome-icon class="sidebar-icon" icon="flask" />
					<span>Preparations</span>
				</a>
				<ul>
					<li>
						<router-link to="/dashboard/preparations/dpnr">DPNR</router-link>
					</li>
					<li>
						<router-link to="/dashboard/preparations/enr-25"
							>ENR-25</router-link
						>
					</li>
					<li>
						<router-link to="/dashboard/preparations/enr-50"
							>ENR-50</router-link
						>
					</li>
				</ul>
			</li>
			<li>
				<a class="has-arrow" href="#">
					<div class="mark-active">&nbsp;</div>
					<font-awesome-icon class="sidebar-icon" icon="industry" />
					<span>Productions</span>
				</a>
				<ul>
					<li>
						<router-link to="/dashboard/productions/dpnr">DPNR</router-link>
					</li>
					<li>
						<router-link to="/dashboard/productions/enr-25">ENR-25</router-link>
					</li>
					<li>
						<router-link to="/dashboard/productions/enr-50">ENR-50</router-link>
					</li>
				</ul>
			</li>
			<li>
				<div class="mark-active">&nbsp;</div>
				<router-link aria-expanded="true" to="/dashboard/general">
					<font-awesome-icon class="sidebar-icon" icon="water" />
					<span>General</span>
				</router-link>
			</li>
			<li>
				<div class="mark-active">&nbsp;</div>
				<router-link aria-expanded="true" to="/dashboard/general-control">
					<font-awesome-icon class="sidebar-icon" icon="water" />
					<span>General: Control panel</span>
				</router-link>
			</li>
			<li>
				<div class="mark-active">&nbsp;</div>
				<router-link aria-expanded="true" to="/dashboard/audit-logs">
					<font-awesome-icon class="sidebar-icon" icon="user" />
					<span>Audit logs</span>
				</router-link>
			</li>
			<li>
				<div class="mark-active">&nbsp;</div>
				<router-link aria-expanded="true" to="/dashboard/alert-logs">
					<font-awesome-icon class="sidebar-icon" icon="bell" />
					<span>Alert logs</span>
				</router-link>
			</li>
			<li>
				<div class="mark-active">&nbsp;</div>
				<router-link aria-expanded="true" to="/dashboard/settings-recipe">
					<font-awesome-icon class="sidebar-icon" icon="cog" />
					<span>Settings: Recipe</span>
				</router-link>
			</li>
			<li>
				<div class="mark-active">&nbsp;</div>
				<router-link aria-expanded="true" to="/dashboard/settings-automation">
					<font-awesome-icon class="sidebar-icon" icon="cog" />
					<span>Settings: Automation</span>
				</router-link>
			</li>
			<!-- <li>
                <div class="mark-active">&nbsp;</div>
                <router-link aria-expanded="true" to="/dashboard/reports">
                    <font-awesome-icon class="sidebar-icon" icon="file-contract"/>
                    <span>Reports</span>
                </router-link>
            </li>
            <li>
                <div class="mark-active">&nbsp;</div>
                <router-link aria-expanded="true" to="/dashboard/settings">
                    <font-awesome-icon class="sidebar-icon" icon="cog"/>
                    <span>Settings</span>
                </router-link>
            </li> -->
			<li>
				<div class="mark-active">&nbsp;</div>
				<a aria-expanded="true" @click="logout()">
					<font-awesome-icon class="sidebar-icon" icon="sign-out-alt" />
					<span>Logout</span>
				</a>
			</li>
		</ul>
		<div class="absolute">
			<p class="text-white">Version: {{ version }}</p>
		</div>
	</div>
</template>

<script>
// Init sidebar.
import { initializeSidebarMenu } from "@/utils/sidebar";
import packageJson from "../../../package.json";

export default {
	name: "sidebar-component",
	components: {},
	data() {
		return { version: "" };
	},
	methods: {
		logout() {
			window.localStorage.removeItem("token");
			window.localStorage.removeItem("refresh_token");
			window.localStorage.removeItem("user");

			this.$router.push("/");
		},
	},
	mounted() {
		initializeSidebarMenu();
        this.version = packageJson.version;
	},
};
</script>

<style lang="scss" scoped>
@import "../../assets/styles/layouts/sidebar.scss";
div.absolute {
  position: absolute;
  bottom: 5rem;
  margin: 0.5rem;
}
</style>
